;(function( $, window ) {
  'use strict';

/*  Keep the accordion field's first item opened */
$(window).load(function () {
  $('.edp-opened-accordion').each(function () {
    if (!$(this).hasClass('hidden')) {
      $(this).addClass('edp_saved_filter')
    }
  })
})
$('.edp-field-checkbox.edp_advanced_filter').change(function (event) {
  $('.edp-opened-accordion').each(function () {
    if ($(this).hasClass('hidden')) {
      $(this).removeClass('edp_saved_filter')
    } else {
      $(this).addClass('edp_saved_filter')
    }
    if (!$(this).hasClass('edp_saved_filter')) {
      if (
        $(this)
          .find('.edp-accordion-title')
          .siblings('.edp-accordion-content')
          .hasClass('edp-accordion-open')
      ) {
        $(this).find('.edp-accordion-title')
      } else {
        $(this)
          .find('.edp-accordion-title')
          .trigger('click')
        $(this)
          .find('.edp-accordion-content')
          .find('.edp-cloneable-add')
          .trigger('click')
      }
    }
  })
})

})( jQuery, window, document );