<?php

/**
 * Item Date
 *
 * This template can be overridden by copying it to yourtheme/event-detailer-pro/templates/item/date.php
 *
 * @package    Event_Detailer_Pro
 * @subpackage Event_Detailer_Pro/public
 */



if ('start_date' === $event_date_style) {
    if ('custom' === $meta_date_format) {
        $post_date = tribe_get_start_date($event_id, false, $custom_date_format);
    } else {
        $post_date = tribe_get_start_date($event_id, false, $meta_date_format);
    }
} elseif ('end_date' === $event_date_style) {
    if ('custom' === $meta_date_format) {
        $post_date = tribe_get_end_date($event_id, false, $custom_date_format);
    } else {
        $post_date = tribe_get_end_date($event_id, false, $meta_date_format);
    }
} else {
    if ('custom' === $meta_date_format) {
        $post_date = tribe_get_start_date($event_id, true, $custom_date_format) . ' - ' . tribe_get_end_date($event_id, true, $custom_date_format);
    } else {
        $post_date = tribe_get_start_date($event_id, true, $meta_date_format) . ' - ' . tribe_get_end_date($event_id, true, $meta_date_format);
    }
}
?>
<div class="edp_date">
<time class="entry-date published updated">
    <?php echo wp_kses_post($post_date); ?></time>
</div>