; (function ($) {
	'use strict'
  
	/**
	 * JavaScript code for admin dashboard.
	 *
	 */
	$(function () {
	  /* Preloader */
	  $("#ta_edp_view_options .edp-metabox").css("visibility", "hidden");
  
	  var PCP_layout_type = $(
		'#edp-section-ta_edp_layouts_1 .edp-field-layout_preset .edp-siblings .edp--sibling'
	  )
	  var PCP_get_layout_value = $(
		'#edp-section-ta_edp_layouts_1 .edp-field-layout_preset .edp-siblings .edp--sibling.edp--active'
	  )
		.find('input')
		.val()
  
	  // Carousel Layout.
	  if (PCP_get_layout_value !== 'carousel_layout') {
		$(
		  '#ta_edp_view_options .edp-nav ul li.menu-item_ta_edp_view_options_3'
		).hide()
		$(
		  '#ta_edp_view_options .edp-nav ul li.menu-item_ta_edp_view_options_1 a'
		).trigger('click');
	  } else {
		$(
		  '#ta_edp_view_options .edp-nav ul li.menu-item_ta_edp_view_options_3'
		).show()
	  }
  
	  /**
	   * Show/Hide tabs on changing of layout.
	   */
	  $(PCP_layout_type).on('change', 'input', function (event) {
		var PCP_get_layout_value = $(this).val();
  
		// Carousel Layout.
		if (PCP_get_layout_value !== 'carousel_layout') {
		  $(
			'#ta_edp_view_options .edp-nav ul li.menu-item_ta_edp_view_options_3'
		  ).hide()
		  $(
			'#ta_edp_view_options .edp-nav ul li.menu-item_ta_edp_view_options_1 a'
		  ).trigger('click');
		} else {
		  $(
			'#ta_edp_view_options .edp-nav ul li.menu-item_ta_edp_view_options_3'
		  ).show()
		}
	  })
  
	  /* Preloader js */
	  $("#ta_edp_view_options .edp-metabox").css({ "backgroundImage": "none", "visibility": "visible", "minHeight": "auto" });
	  $("#ta_edp_view_options .edp-nav-metabox li").css("opacity", 1);
  
	 
  
	})
  })(jQuery)
  