<?php

$options = get_post_meta($layout_id, 'ta_edp_view_options', true);
$layouts = get_post_meta($layout_id, 'ta_edp_layouts', true);

$hide_share_button = get_post_meta($layout_id, 'edp-hide-share', true);
$share_btn = !empty($hide_share_button) ? $hide_share_button : 'no';
$hide_ical_button = get_post_meta($layout_id, 'edp-hide-google', true);
$ical_btn = !empty($hide_ical_button) ? $hide_ical_button : 'no';
$hide_related = get_post_meta($layout_id, 'edp-hide-related', true);
$related_event = !empty($hide_related) ? $hide_related : 'no';
$countdown = get_post_meta($layout_id, 'edp-hide-countdown', true);
$hide_count = !empty($countdown) ? $countdown : 'no';
$navigation = get_post_meta($layout_id, 'edp-hide-nav', true);
$hide_nav = !empty($navigation) ? $navigation : 'no';

$edp_cate = EDP_Functions::edp_display_category($event_id);
$get_start_time = tribe_get_start_time($event_id);
$timezone = get_post_meta($event_id, '_EventTimezone', true);
$is_all_day = tribe_event_is_all_day($event_id);
$edp_ev_time = EDP_Functions::edp_tribe_event_time($event_id, false);
// $get_temp_cls =  \edpfunctions\edp_dynamic_class($layout_id);
$event_title = sanitize_title_with_dashes(get_the_title($event_id));
$event_type = tribe('tec.featured_events')->is_featured($event_id) ? 'edp-featured-event' : 'edp-simple-event';
// $edp_custom_styles = \edpfunctions\edp_custom_style($layout_id);
if (class_exists('Tribe\Extensions\EventsControl\Main')) {
    $online_url = '';
    $get_status = get_post_meta($event_id, '_tribe_events_control_status', true);
    $status = !empty($get_status) ? $get_status : 'Scheduled';
    if ($status == 'canceled') {
        $reason = get_post_meta($event_id, '_tribe_events_control_status_canceled_reason', true);
    } elseif ($status == 'postponed') {
        $reason = get_post_meta($event_id, '_tribe_events_control_status_postponed_reason', true);
    } else {
        $reason = '';
    }
    $online = tribe_is_truthy(get_post_meta($event_id, '_tribe_events_control_online', true));
    if ($online) {
        $online_url = get_post_meta($event_id, '_tribe_events_control_online_url', true);
    }
} else {
    $status = '';
}
